DCUIDCHG(1)

NAME
dcuidchg - ACR/NEMA DICOM PS3 ... DICOM PS3 - Change UIDs consistently

SYNOPSIS

dcuidchg " inputfile1 [ inputfile2 ... ]" -outdir dirname [ -v|verbose|vv|veryverbose ] [ -l ] [ -f|-filelist filename ] [ -descriptor ] [ -map filename ]

DESCRIPTION

dcuidchg reads all the named dicom input files (and/or the files listed in the specified file) and copies them to the specified directory, changing all the instance-related UIDs in a consistent manner throughout the set of files.

Fixed UIDs such as SOP Classes and Transfer Syntaxes are not affected.

The UIDs obtained by two separate invocations of this utility will be different, so the action needs to be performed on a set of files simultaneously in order to maintain consistency across studies, series, frames of reference and in explicit references to other instances.

Note that the basename of the original file is used for the output file, and is not changed, so if the basename was derived from the SOP Instance UID, as is common practice, then that name would need to be changed subsequently if the UID replacement was being performed to prevent identity leakage.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1). Options specific to this program are:

-outdir dirname
    The directory, which must already exist, to which the copied files are written, using the basename of the original filename.

-v|verbose
    Display attributes as they are read and written.

-l
    List filenames as they are read and written.

-f|filelist filename
    A file containing a list of DICOM input files (one filename per line).

-descriptor
    Add (or extend) DeidentificationMethod attribute with description of UID removal.

-map filename
    A file to which is written the map of original to replacement UID values.

ENVIRONMENT

EXAMPLES

% ls -1 IMAGES/[0-9]*
IMAGES/IM0001
IMAGES/IM0002
% mkdir /tmp/IMAGES
% dcuidchg IMAGES/[0-9]* -outdir /tmp/NEWIMAGES
% ls -1 /tmp/NEWIMAGES
/tmp/NEWIMAGES/IM0001
/tmp/NEWIMAGES/IM0002

FILES

SEE ALSO
dcintro(1), dcdtchg(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS

There is a fixed length of buffer used for reading each line from the list of filenames file.